FLAC::Metadata::Unknown class Reference

Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::Unknown Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Unknown:

List of all members.

## Public Methods

| Unknown ()
| Unknown (::FLAC__StreamMetadata *object, bool copy)
| ~Unknown ()
Unknown & | assign (::FLAC__StreamMetadata *object, bool copy)
const FLAC__byte * | get_data () const
bool | set_data (const FLAC__byte *data, unsigned length)
| This form always copies data.
bool | set_data (FLAC__byte *data, unsigned length, bool copy)
| Unknown (const Unknown &object)
| Unknown (const::FLAC__StreamMetadata &object)
| Unknown (const::FLAC__StreamMetadata *object)
Unknown & | operator= (const Unknown &object)
Unknown & | operator= (const::FLAC__StreamMetadata &object)
Unknown & | operator= (const::FLAC__StreamMetadata *object)
bool | operator== (const Unknown &object) const
bool | operator== (const::FLAC__StreamMetadata &object) const
bool | operator== (const::FLAC__StreamMetadata *object) const
bool | operator!= (const Unknown &object) const
bool | operator!= (const::FLAC__StreamMetadata &object) const
bool | operator!= (const::FLAC__StreamMetadata *object) const

## Detailed Description

Opaque metadata block for storing unknown types. This should not be used unless you know what you are doing; it is currently used only internally to support forward compatibility of metadata blocks.

## Constructor & Destructor Documentation

FLAC::Metadata::Unknown::Unknown | ( | const Unknown & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Unknown::Unknown | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Unknown::Unknown | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Unknown::Unknown | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

Unknown& FLAC::Metadata::Unknown::operator= | ( | const Unknown & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

Unknown& FLAC::Metadata::Unknown::operator= | ( | const ::FLAC__StreamMetadata & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

Unknown& FLAC::Metadata::Unknown::operator= | ( | const ::FLAC__StreamMetadata * | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy. Reimplemented from FLAC::Metadata::Prototype.

Unknown& FLAC::Metadata::Unknown::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::Unknown::operator== | ( | const Unknown & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::Unknown::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Unknown::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Unknown::operator!= | ( | const Unknown & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::Unknown::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

bool FLAC::Metadata::Unknown::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers. Reimplemented from FLAC::Metadata::Prototype.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h